/* ==========================================================================
* 파    일 : IntroUIManager.h
* 목    적 : 인트로 스테이지 UI 관리자 
* 작 성 자 : 김가람
* 작 성 일 : 2006-12-21
* 주의사항 :
*===========================================================================*/
#pragma once

class cUIBackWindow;


class cIntroUIManager
{
public:
	cIntroUIManager();
	~cIntroUIManager();

	void Init();
	void InitStage();
	void Exit();
	void Open();
	void Close();
	void Process( unsigned long deltaTime );

	inline void SetFadeOn( bool set ) { mFadeOn = set; }
	inline bool IsFadeOn() { return mFadeOn; }

	inline bool IsProcessEnd() { return mOneState; }

	cUIBackWindow* GetBackWindow() { return mpBackWindow; }

protected:
	/// 배경 윈도우
	cUIBackWindow*		mpBackWindow;

	bool mFadeOn;
	unsigned long mAlpha;

	bool mOneState;
};
